﻿var xmlTOWN;
var dataTOWN;

var ErrorString="";
var DataComplete=false;

function loadData(location) {
	DataComplete=false;
	try {
		req = new ActiveXObject("Microsoft.XMLHTTP");
		if (req) {
			req.open("GET", "http://informer.gismeteo.ru/xml/"+location+"_1.xml", false);		
			req.send();
			if (req.status == 200) {
				parseData(req.responseXML.documentElement);
			} else {

			}
		}
	} catch (e) {

	}
}

function parseData(xmlData) {
	try {
		xmlTOWN = xmlData.getElementsByTagName("./REPORT/TOWN").item(0);
		dataTOWN = new TOWN(xmlTOWN);
		DataComplete=true;
	} catch (e) {

	}
}


function TOWN(xmlNode) {
	this.m_Index=xmlNode.getAttribute('index');
	this.m_Name=unescape(xmlNode.getAttribute('sname'));
	this.m_Latitude=xmlNode.getAttribute('latitude');
	this.m_Longitude=xmlNode.getAttribute('longitude');
	var tempNodes=xmlNode.getElementsByTagName('FORECAST');
	this.m_Forecasts=new Array(tempNodes.length);
	for (var i=0;i<tempNodes.length;i++) {
		this.m_Forecasts[i]=new FORECAST(tempNodes[i]);
	}
}

function FORECAST(xmlNode) {
	this.m_Day=xmlNode.getAttribute('day');
	this.m_Month=xmlNode.getAttribute('month');
	this.m_Year=xmlNode.getAttribute('year');
	this.m_Hour=xmlNode.getAttribute('hour');
	this.m_Tod=xmlNode.getAttribute('tod');
	this.m_Predict=xmlNode.getAttribute('predict');
	this.m_Weekday=xmlNode.getAttribute('weekday');
	this.m_Phenomena=new PHENOMENA(xmlNode.getElementsByTagName('PHENOMENA').item(0));
	this.m_Pressure=new MinMax(xmlNode.getElementsByTagName('PRESSURE').item(0));
	this.m_Temperature=new MinMax(xmlNode.getElementsByTagName('TEMPERATURE').item(0));
	this.m_Wind=new WIND(xmlNode.getElementsByTagName('WIND').item(0));
	this.m_Relwet=new MinMax(xmlNode.getElementsByTagName('RELWET').item(0));
	this.m_Heat=new MinMax(xmlNode.getElementsByTagName('HEAT').item(0));
}

function PHENOMENA(xmlNode) {
	this.m_Cloudiness=xmlNode.getAttribute('cloudiness');
	this.m_Precipitation=xmlNode.getAttribute('precipitation');
	this.m_Rpower=xmlNode.getAttribute('rpower');
	this.m_Spower=xmlNode.getAttribute('spower');
}

function MinMax(xmlNode) {
	this.m_Max=xmlNode.getAttribute('max');
	this.m_Min=xmlNode.getAttribute('min');
}

function WIND(xmlNode) {
	this.m_Max=xmlNode.getAttribute('max');
	this.m_Min=xmlNode.getAttribute('min');
	this.m_Direction=xmlNode.getAttribute('direction');
}

//loadData("26063_1");

/*
Описание формата

TOWN информация о пункте прогнозирования: 
  index уникальный пятизначный код города 
  sname закодированное название города 
  latitude широта в целых градусах 
 longitude долгота в целых градусах 
FORECAST информация о сроке прогнозирования: 
  day, month, year дата, на которую составлен прогноз в данном блоке 
  hour местное время, на которое составлен прогноз 
  tod время суток, для которого составлен прогноз:
	0 - ночь 1 - утро, 2 - день, 3 - вечер 
  weekday день недели,
	1 - воскресенье, 2 - понедельник, и т.д. 
  predict заблаговременность прогноза в часах 
PHENOMENA  атмосферные явления: 
  cloudiness облачность по градациям:
	 0 - ясно, 1- малооблачно, 2 - облачно, 3 - пасмурно 
  precipitation тип осадков:
	4 - дождь, 5 - ливень, 6,7 – снег, 8 - гроза, 9 - нет данных, 10 - без осадков 
  rpower интенсивность осадков, если они есть.
	0 - возможен дождь/снег, 1 - дождь/снег 
  spower вероятность грозы, если прогнозируется:
	0 - возможна гроза, 1 - гроза 
PRESSURE атмосферное давление, в мм.рт.ст. 
TEMPERATURE температура воздуха, в градусах Цельсия 
WIND приземный ветер 
  min, max минимальное и максимальное значения средней скорости ветра, без порывов 
  direction  направление ветра в румбах,
	0 - северный, 1 - северо-восточный,  и т.д. 
RELWET относительная влажность воздуха, в % 
HEAT комфорт - температура воздуха по ощущению одетого по сезону человека,
	выходящего на улицу 
*/